Subject: [tcpm] Question regarding section 4.2 of draft-ietf-tcpm-tcpsecure-00.tx t

From: "Leino, Tammy" <[email-masked]>
Date: Tue, 18 May 2004 17:11:54 -0500

Network Working Group Members,

I have been studying this Internet draft and have consulted RFC 793 to help
resolve my lack of understanding of section 4.2, but my problem still
persists.

Section 4.2 gives the solution to add the following additional check to any
incoming segment:

((SND.UNA - MAX.SND.WND) <= SEG.ACK < SND.NXT)

It goes on to explain MAX.SND.WND and the relevance of this change.
However, RFC 793 specifies that an acceptable ack falls into the following
range:

SND.UNA < SEG.ACK =< SND.NXT

My question is why has the equality condition been removed from the SEG.ACK
=< SND.NXT portion of the check as specified in RFC 793?

Thank you for your help in this matter.

Sincerely,
Tammy Leino

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm

---

From: Anantha Ramaiah <[email-masked]>
Date: Tue, 18 May 2004 15:40:23 -0700

Leino,
   
> ((SND.UNA - MAX.SND.WND) <= SEG.ACK < SND.NXT)

I think this looks like a typo. It should read as :
((SND.UNA - MAX.SND.WND) <= SEG.ACK <= SND.NXT). We are not changing 
the existing RFC behaviour for the right side SND.UNA.
Thanks for pointing it out. 

Randall, this needs to be added to the list of changes for rev 2...

-Anantha

---

From: "Paul Goyette" <[email-masked]>
Date: Tue, 18 May 2004 15:42:06 -0700

I think it's an oversight/typo.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Leino, Tammy
Sent: Tuesday, May 18, 2004 3:12 PM
To: [email-masked]'
Subject: [tcpm] Question regarding section 4.2 of
draft-ietf-tcpm-tcpsecure-00.tx t

Sincerely,
Tammy Leino

---

From: Ted Faber <[email-masked]>
Date: Wed, 19 May 2004 08:06:05 -0700

On Tue, May 18, 2004 at 03:42:06PM -0700, Paul Goyette wrote:
>> From: [email-masked] [mailto:[email-masked]]On Behalf Of Leino, Tammy
>> 

And a good catch, thanks.

-- 
Ted Faber
http://www.isi.edu/~faber           PGP: http://www.isi.edu/~faber/pubkeys.asc
Unexpected attachment on this mail? See http://www.isi.edu/~faber/FAQ.html#SIG

---

From: "Randall Stewart (cisco)" <[email-masked]>
Date: Wed, 19 May 2004 21:29:36 -0400

>Randall, this needs to be added to the list of changes for rev 2...

Will do.. still waiting for input from Mitesh and Amol too if
I remember right..
R

-- 
Randall R. Stewart
ITD - Transport Technologies
815-477-2127(o) or 815-342-5222(c)